Subject: Re: bug#6705: w32 cmdproxy.c pass args to cygwin; erroneous charset conversion (problem description, solution/suggestion)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jul 2010 13:26:00 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 23 Jul 2010 00:56:33 +0200
> Cc: Laimonas Vėbra <[email-masked]>, [email-masked]
> 
> On Thu, Jul 22, 2010 at 21:50, Eli Zaretskii <[email-masked]> wrote:
> 
> > The Windows build of Emacs doesn't yet use the UTF-16 APIs.  Doing
> > that is a large job; volunteers are welcome, of course.
> 
> What do you mean, using the W versions of API functions? That would be
> incompatible with 16-bit Windows (or, at least, as compatible as the
> Microsoft Layer for Unicode allows, and I wouldn't like to bet on it).
> Or are you talking about abandoning 16-bit Windows compatibility?

Neither.  I'm talking about using the W APIs on versions of Windows
that support them, and A APIs elsewhere, including on Windows 9X.

That's why I said this is a non-trivial job.